## unixcw 3.0

=== Makefile ===
# Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#
#

-include Makefile.inc

SHELL	= /bin/sh
SUBDIRS	= src

DIST	= unixcw-3.0

# Top level makefile - descends into subdirectories and executes the make in
# these one at a time.

# Macro to support descending into selected subdirectories.
DESCEND	= for subdir in $(SUBDIRS); do				\
		( cd $$subdir; $(MAKE) $@ );			\
	  done

# Targets that do nothing other than descend.
all install install-strip uninstall clean TAGS info dvi check:
	$(DESCEND)

# Targets that do just a little more than this.
distclean mostlyclean:
	$(DESCEND)
	rm -f $(DIST).tar $(DIST).tar.gz $(DIST).tgz
	rm -f Makefile.inc src/config.h src/config.h.in~
	rm -f config.status config.cache config.log
	rm -rf autom4te.cache

maintainer-clean: distclean
	rm -f configure src/config.h.in aclocal.m4 configure.scan autoscan.log
	rm -f po/UnixCW.po
	-rmdir po

dist:	distclean
	rm -f $(DIST).tar $(DIST).tar.gz $(DIST).tgz
	rm -f $(DIST); ln -s . $(DIST)
	FILES="`ls -d $(DIST)/* | grep -v '^$(DIST)/$(DIST)$$'`";	\
		tar zcvf $(DIST).tgz $$FILES
	rm $(DIST)

=== src/Makefile ===
# Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

-include ../Makefile.inc
SUBDIRS	= $(AC_SUBDIRS)

SHELL	= /bin/sh

# Top level makefile - descends into subdirectories and executes the make in
# these one at a time.

# Macro to support descending into selected subdirectories.
DESCEND	= for subdir in $(SUBDIRS); do				\
		( cd $$subdir; $(MAKE) $@ );			\
	  done

# All targets do nothing other than descend.
all install install-strip uninstall clean TAGS info dvi check:
	$(DESCEND)

distclean mostlyclean maintainer-clean:
	$(DESCEND)

=== src/cw/Makefile ===
# Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include ../../Makefile.inc
CC	= $(AC_CC)
CFLAGS	= $(AC_CFLAGS) $(AC_DEFS) -I../libcw -I../cwutils
GZIP	= $(AC_GZIP)

SHELL	= /bin/sh

default: all

LIBS	= -L../libcw -lcw

# Build the cw binary.
all: cw

cw.o: cw.c ../libcw/libcw.h

cw: cw.o
	$(CC) -o $@ cw.o ../cwutils/i18n.o ../cwutils/cw_common.o ../cwutils/cmdline.o	\
	../cwutils/memory.o $(LIBS) -g -O0

# Install targets.
install: all
	$(INSTALL) -d $(includedir) $(bindir) $(mandir)/man1
	$(INSTALL_DATA) cw.h $(includedir)/cw.h
	$(INSTALL_PROGRAM) -m 4755 cw $(bindir)/cw
	$(INSTALL_DATA) cw.1 $(mandir)/man1/cw.1
	$(GZIP) -f -9 $(mandir)/man1/cw.1

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:
	rm -f $(includedir)/cw.h
	rm -f $(bindir)/cw
	rm -f $(mandir)/man1/cw.1 $(mandir)/man1/cw.1.gz

# Cleanup targets.
clean:
	rm -f cw *.s *.o
	rm -f core core.*

distclean: clean
	rm -f Makefile.port

mostlyclean: clean

maintainer-clean: distclean

# Test targets.
# This test target will be invoked when creating deb package.
check:

# This test target can be invoked manually.
real_check: all
	( echo "Trying with OSS audio output";					\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./cw -so -f test.cw ) || 	\
	( echo "Retrying with ALSA audio output";			    	\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./cw -sa -f test.cw ) ||	\
	( echo "Retrying with console audio output";			        \
	  LIBCW_DEBUG=1 							\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./cw -sc -f test.cw )

# Unimplemented targets.
TAGS:
info:
dvi:
dist:

=== src/cwcp/Makefile ===
# Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include ../../Makefile.inc
CC	= $(AC_CC)
CFLAGS	= $(AC_CFLAGS) $(AC_DEFS) -I../libcw -I../cwutils
GZIP	= $(AC_GZIP)
LIBS	= $(AC_LIBS) -L../libcw -lcw

SHELL	= /bin/sh

default: all

# Build the cwcp binary.
all: cwcp

cwcp.o: cwcp.c ../libcw/libcw.h

cwcp: cwcp.o
	$(CC) $(LDFLAGS) -o $@ cwcp.o ../cwutils/i18n.o ../cwutils/cw_common.o ../cwutils/cmdline.o \
	../cwutils/dictionary.o ../cwutils/memory.o $(LIBS)

# Install targets.
install: all
	$(INSTALL) -d $(bindir) $(mandir)/man1
	$(INSTALL_PROGRAM) -m 4755 cwcp $(bindir)/cwcp
	$(INSTALL_DATA) cwcp.1 $(mandir)/man1/cwcp.1
	$(GZIP) -f -9 $(mandir)/man1/cwcp.1

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:
	rm -f $(bindir)/cwcp
	rm -f $(mandir)/man1/cwcp.1 $(mandir)/man1/cwcp.1.gz

# Cleanup targets.
clean:
	rm -f cwcp *.s *.o
	rm -f core core.*

distclean: clean
	rm -f Makefile.port

mostlyclean: clean

maintainer-clean: distclean

# Test targets.
# This test target will be invoked when creating deb package.
check:

# This test target can be invoked manually.
real_check: all
	( echo "Trying with OSS audio output";				\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./cwcp -so ) ||	\
	( echo "Retrying with ALSA audio output";			\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./cwcp -sa ) ||	\
	( echo "Retrying with console audio output";			\
	  LIBCW_DEBUG=1 						\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./cwcp -sc )

# Unimplemented targets.
TAGS:
info:
dvi:
dist:

=== src/cwgen/Makefile ===
# Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include ../../Makefile.inc
CC	= $(AC_CC)
CFLAGS	= $(AC_CFLAGS) $(AC_DEFS) -I../cwutils
GZIP	= $(AC_GZIP)

SHELL	= /bin/sh

default: all

# Build the cwgen binary.
all: cwgen

cwgen.o: cwgen.c

cwgen: cwgen.o
	$(CC) -o $@ cwgen.o ../cwutils/i18n.o ../cwutils/cmdline.o \
	../cwutils/memory.o

# Install targets.
install: all
	$(INSTALL) -d $(bindir) $(mandir)/man1
	$(INSTALL_PROGRAM) cwgen $(bindir)/cwgen
	$(INSTALL_DATA) cwgen.1 $(mandir)/man1/cwgen.1
	$(GZIP) -f -9 $(mandir)/man1/cwgen.1

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:
	rm -f $(bindir)/cwgen
	rm -f $(mandir)/man1/cwgen.1 $(mandir)/man1/cwgen.1.gz

# Cleanup targets.
clean:
	rm -f cwgen *.s *.o
	rm -f core core.*

distclean: clean
	rm -f Makefile.port

mostlyclean: clean

maintainer-clean: distclean

# Test targets.
check: all
	-./cwgen

# Unimplemented targets.
TAGS:
info:
dvi:
dist:

=== src/cwutils/Makefile ===
# Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include ../../Makefile.inc
CC	= $(AC_CC)
CFLAGS	= $(AC_CFLAGS) $(AC_DEFS) -I../libcw

SHELL	= /bin/sh

default: all

# Build everything.
all: cmdline.o dictionary.o i18n.o memory.o cw_common.o

cw_common.o: cw_common.c cw_common.h

cmdline.o: cmdline.c cmdline.h

dictionary.o: dictionary.c dictionary.h cwwords.h

i18n.o: i18n.c i18n.h

memory.o: memory.c memory.h

# Cleanup targets.
clean:
	rm -f *.s *.o

distclean: clean
	rm -f Makefile.port

mostlyclean: clean

maintainer-clean: distclean

# Test targets; no self-test, but make sure all is built.
check: all

# Unimplemented targets.
install:
install-strip:
uninstall:
TAGS:
info:
dvi:
dist:

=== src/libcw/Makefile ===
# Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include ../../Makefile.inc
CC	= $(AC_CC)
CFLAGS	= $(AC_CFLAGS) $(AC_CFLAG_PIC) $(AC_DEFS)
AWK	= $(AC_AWK)
RANLIB	= $(AC_RANLIB)
LD	= $(AC_LD)
LN_S	= $(AC_LN_S)
GZIP	= $(AC_GZIP)
LDCONFIG= $(AC_LDCONFIG)
CC_LINKS_SO	= $(AC_CC_LINKS_SO)
LD_LINKS_SO	= $(AC_LD_LINKS_SO)

SHELL	= /bin/sh

COMMON_LIBS = -lm -lpthread -lasound

default: all

all: libcw.a libcw.so.3.0.0 libcw.so.3 libcw.so libcw.pc libcw.3 libcwtest

# Build the static and shared libraries.
libcw.a: libcw.o
	rm -f libcw.a; ar -cr libcw.a libcw.o
	$(RANLIB) libcw.a

libcw.so.3.0.0: libcw.o
	if [ "$(CC_LINKS_SO)" = "yes" ]; then				\
		$(CC) -shared -Wl,-soname,libcw.so.3			\
			-o libcw.so.3.0.0 libcw.o $(COMMON_LIBS);	\
	else								\
		if [ "$(LD_LINKS_SO)" = "yes" ]; then			\
			$(LD) -G -Wl,-soname,libcw.so.3			\
				-o libcw.so.3.0.0 libcw.o $(COMMON_LIBS); \
		fi							\
	fi

libcw.so.3: libcw.so.3.0.0
	$(LN_S) -f libcw.so.3.0.0 libcw.so.3

libcw.so: libcw.so.3.0.0
	$(LN_S) -f libcw.so.3.0.0 libcw.so

# Build the library man page.
libcw.3: libcw.3.m4 libcw.c
	$(AWK) -f libdoc.awk <libcw.c | $(AWK) -f libsigs.awk >signatures
	$(AWK) -f libdoc.awk <libcw.c | $(AWK) -f libfuncs.awk >functions
	$(AWK) -f include.awk <libcw.3.m4 >libcw.3
	rm -f signatures functions

# Build the unit test.
libcwtest: libcwtest.o
	$(CC) -o libcwtest libcwtest.o -L. -lcw

# Build the pkgconfig metadata file.
libcw.pc:
	$(AWK) -vprefix="$(prefix)" -v exec_prefix="$(exec_prefix)"	\
	       -vlibdir="$(libdir)" -v includedir="$(includedir)"	\
	       -vstrip="$$RPM_BUILD_ROOT"				\
	       -vconfig_h="../config.h" -f libpc.awk >libcw.pc

# Define dependencies related to header/include files.
libcw.o: Makefile libcw.h

libcwtest.o: Makefile libcw.h

# Install targets.
install: all
	$(INSTALL) -d $(includedir) $(libdir) $(mandir)/man3 $(mandir)/man7 \
		$(libdir)/pkgconfig
	$(INSTALL_DATA) libcw.h $(includedir)/libcw.h
	$(INSTALL_DATA) libcw.a $(libdir)/libcw.a
	if [ "$(CC_LINKS_SO)" = "yes" -o "$(LD_LINKS_SO)" = "yes" ]; then \
		$(INSTALL_PROGRAM) libcw.so.3.0.0 $(libdir)/libcw.so.3.0.0; \
		$(LN_S) -f libcw.so.3.0.0 $(libdir)/libcw.so.3; \
		$(LN_S) -f libcw.so.3.0.0 $(libdir)/libcw.so; \
		$(LDCONFIG) -n $(libdir); \
	fi
	$(INSTALL_DATA) libcw.3 $(mandir)/man3/libcw.3
	$(GZIP) -f -9 $(mandir)/man3/libcw.3
	$(INSTALL_DATA) cw.7 $(mandir)/man7/cw.7
	$(GZIP) -f -9 $(mandir)/man7/cw.7
	$(INSTALL_DATA) cw.7 $(mandir)/man7/CW.7
	$(GZIP) -f -9 $(mandir)/man7/CW.7
	$(INSTALL_DATA) libcw.pc $(libdir)/pkgconfig/libcw.pc

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:
	rm -f $(includedir)/libcw.h
	rm -f $(libdir)/libcw.a
	rm -f $(libdir)/libcw.so $(libdir)/libcw.so.3 $(libdir)/libcw.so.3.0.0
	$(LDCONFIG) -n $(libdir)
	rm -f $(mandir)/man3/libcw.3 $(mandir)/man3/libcw.3.gz
	rm -f $(mandir)/man7/cw.7 $(mandir)/man7/cw.7.gz
	rm -f $(mandir)/man7/CW.7 $(mandir)/man7/CW.7.gz
	rm -f $(libdir)/pkgconfig/libcw.pc

# Cleanup targets.
clean:
	rm -f libcw.a libcw.so libcw.so.3 libcw.so.3.0.0 *.s libcw.pc *.o
	rm -f libcw.3 signatures functions
	rm -f libcwtest
	rm -f core core.*

distclean: clean
	rm -f Makefile.port

mostlyclean: clean

maintainer-clean: distclean

# Test targets.
check: all libcwtest
	-LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./libcwtest

# Unimplemented targets.
TAGS:
info:
dvi:
dist:

=== src/xcwcp/Makefile ===
# Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include ../../Makefile.inc
CXX	= $(AC_CXX)
CXXFLAGS= $(AC_CXXFLAGS) $(AC_DEFS) -I../libcw -I../cwutils -I$(AC_QT4INC) -I$(AC_QT4INC)/QtCore -I$(AC_QT4INC)/QtGui
GZIP	= $(AC_GZIP)

SHELL	= /bin/sh

# List of object files built in this directory.
OBJECTS = main.o modeset.o display.o sender.o receiver.o application.o \
          moc_application.o

# Link to the shared libcw.
LIBS	=  -L../libcw -lcw -lQtGui -lQtCore

default: all

# Build the xcwcp binary.
all: xcwcp

xcwcp: $(OBJECTS)
	$(CXX) $(LDFLAGS) -o xcwcp $(OBJECTS) ../cwutils/i18n.o ../cwutils/cw_common.o \
	../cwutils/cmdline.o ../cwutils/dictionary.o ../cwutils/memory.o \
	$(LIBS) -lm

main.o: main.cc application.h

modeset.o: modeset.cc modeset.h

display.o: display.cc display.h application.h

sender.o: sender.cc sender.h display.h modeset.h

receiver.o: receiver.cc receiver.h display.h modeset.h

application.o: application.cc sender.h receiver.h application.h \
               modeset.h display.h

mod_application.o: moc_application.cc

moc_application.cc: application.h
	$(AC_QT4MOC) $< -o $@

# Install targets.
install: all
	$(INSTALL) -d $(bindir) $(mandir)/man1
	$(INSTALL_PROGRAM) -m 4755 xcwcp $(bindir)/xcwcp
	$(INSTALL_DATA) xcwcp.1 $(mandir)/man1/xcwcp.1
	$(GZIP) -f -9 $(mandir)/man1/xcwcp.1

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:
	rm -f $(bindir)/xcwcp
	rm -f $(mandir)/man1/xcwcp.1 $(mandir)/man1/xcwcp.1.gz

# Cleanup targets.
clean:
	rm -f xcwcp *.s *.o
	rm -f moc_*.cc
	rm -f core core.*

distclean: clean
	rm -f Makefile.port

mostlyclean: clean

maintainer-clean: distclean

# Test targets.
# This test target will be invoked when creating deb package.
check:

# This test target can be invoked manually.
real_check: all
	( echo "Trying with OSS audio output";				\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./xcwcp -so ) ||	\
	( echo "Retrying with ALSA audio output";			\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./xcwcp -sa ) ||	\
	( echo "Retrying the test in silent mode";			\
	  LIBCW_DEBUG=1 						\
	  LD_LIBRARY_PATH=../libcw:$$LD_LIBRARY_PATH ./xcwcp -sc )

# Unimplemented targets.
TAGS:
info:
dvi:
dist:

=== debian/changelog ===
unixcw (3.0-2) unstable; urgency=low

  * Fix library dependencies: alsa, pthread, m
    - Add libcw3-dev Depends on libasound2-dev
    - Drop Replaces: unixcw{-dev} (see Bug: #652618)
  * Reapply lost patch: Fix FTBFS on GNU/kFreeBSD. Closes: #403043 (again).
  * Set libcw3 debian package section to libs

 -- Kamal Mostafa <kamal@whence.com>  Thu, 22 Dec 2011 14:44:54 -0800

unixcw (3.0-1) unstable; urgency=low

  * Prepare Debian packages for upstream package version 3.0.
  * New maintainer.  Closes: #554134.

 -- Kamil Ignacak <acerion@wp.pl>  Sat, 19 Nov 2011 17:06:21 +0100

unixcw (2.3-13) unstable; urgency=low

  * QA upload.
  * Bump debhelper compatibility level to 7
  * Replace "dh_clean -k" by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Czech (Vítězslav Kotrla).  Closes: #535142
    - Slovak (Ivan Masár).  Closes: #535161
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #558064
    - Asturian (marquinos).  Closes: #561399
    - Italian (Vincenzo Campanella).  Closes: #561648

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Dec 2009 09:10:13 +0100

unixcw (2.3-12) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 03 Nov 2009 07:14:08 +0000

unixcw (2.3-11) unstable; urgency=low

  * Only install cw.7.gz, omit CW.7.gz. Closes: #229696.
  * Several lintian fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 20 Nov 2008 19:59:04 +0100

unixcw (2.3-10) unstable; urgency=low

  * Build depend on mawk|gawk so a correct .pc file is created on
    hppa. Closes: #488988.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 19 Jul 2008 15:48:46 +0200

unixcw (2.3-9) unstable; urgency=low

  * Add datarootdir to Makefile.inc.in.
  * Use 'make clean' instead of 'make distclean'.
  * Remove config.status when cleaning, so configure will be called
    and Makefile.inc will be created. Closes: #463492.
  * More manual page fixes to satisfy lintian.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 09 Feb 2008 12:37:28 +0100

unixcw (2.3-8) unstable; urgency=low

  * Menu transition to "Amateur Radio".
  * Bump standards version.
  * Many lintian fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 31 Jan 2008 22:15:52 +0100

unixcw (2.3-7) unstable; urgency=low

  * Remove leftover debconf stuff from postinst/postrm. Thanks to
    Lucas Nussbaum. Closes: #431273.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 06 Jul 2007 09:57:09 +0200

unixcw (2.3-6) unstable; urgency=low

  * For xcwcp we use the default sound option, which is the soundcard
    instead of the console. This also removes the need for setting the
    suid bit and asking debconf questions. Closes: #416138.
  * Portuguese translation for debconf messages. Closes: #422902.
  * This bug seems to have been fixed in this version. Closes: #231518.
    Thanks Yoshio Nakamura for reporting!

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 12 May 2007 16:55:23 +0200

unixcw (2.3-5) unstable; urgency=low

  * Install the cw.7 manual page into the unixcw package.
  * Adapt README.Debian, binaries in the original source are no longer
    statically linked.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  6 Feb 2007 19:15:09 +0100

unixcw (2.3-4) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD. Thanks Petr Salinger. Closes: #403043.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 18 Dec 2006 09:45:19 +0100

unixcw (2.3-3) unstable; urgency=low

  * Fix FTBFS on amd64. Thanks to Andreas Henriksson.
    Closes: #400190, #401087.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  4 Dec 2006 20:16:51 +0100

unixcw (2.3-2) unstable; urgency=low

  * Install libcw.pc into the unixcw-dev package.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 29 Nov 2006 20:00:03 +0100

unixcw (2.3-1) unstable; urgency=low

  * New upstream. Some comments by the author follows below.
  * An occurrence but not problem, presumably. Closes: #229690.
  * The gap now limits at 80 dots. Closes: #237981.
  * Dictionaries are fully configurable using files read at program
    startup. Closes: #239001.
  * Probably unavoidable.  To track CW speeds, the program needs to
    see a differential between dot and dash.  If fed only, say, dots, it has no
    way of telling if these are dots or dashes, so cannot vary or auto-determine
    speeds. Closes: #261729.
  * I couldn't tell if this was a joke report.  I could put a blank
    entry in the table, one side containing an ASCII ' ' and the other containing
    its representation in dots and dashes as " ", but it wouldn't look useful.
    Or perhaps I misread the request? Closes: #229694.
  * Fixed by holding the soundcard open in cwlib for ~10 seconds of inactivity.
    Closes: #230579.
  * Other bugs fixed. Closes: #231418, #236415, #222128, #232481, #261731, #292395.
  * I thought about this, and it's surprisingly hard, given the architecture
    of cwlib. The library's really only happy talking to a genuine sound
    device. Closes: #222432.
  * The 4WPM minimum is a careful balance between putting only a
    second or so of audio data into the sound card and ensuring it doesn't run
    out of data during the longest (dash) element.  Less than 4 is tricky.  Well,
    3 might just be doable, but 2 is out, and frankly, anything less than 4 loses
    the rhythm to the point where it's not really usable anyway. So, rejected.
    Closes: #241973.
  * Not done by xcwcp because it's really a tutor, not a reader
    program.  Adding this would bring in a whole slew of software tone filtering
    issues.  This is just the type of program that one could write around cwlib,
    though, so feel free to go for it!  (In fact I have a prototype from several
    years ago that reads raw audio files, finds tone edges, and then has a go at
    printing out CW read from it -- perhaps I should dust it off..).
    Closes: #263356.
  * Bugs not tackled: 222010, 222126, 236411, 261730, 261732.



=== debian/control ===
Source: unixcw
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>
Standards-Version: 3.9.2
Build-Depends: debhelper (>=7), libasound2-dev, libqt4-dev, libncurses5-dev, po-debconf, autotools-dev, mawk|gawk
Homepage: http://unixcw.sourceforge.net/

Package: libcw3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cw | cwcp | xcwcp
Description: Shared library for Morse programs
 Shared library files for cw, cwcp and xcwcp programs.
 The library handles Morse code signals and generates sound
 on console buzzer or sound card through OSS or ALSA.

Package: libcw3-dev
Section: libdevel
Architecture: any
Depends: libcw3 (= ${binary:Version}), ${misc:Depends}, libasound2-dev
Description: Development files for Morse programs
 Static library, headers and manual page for development of
 programs that handle (i.e. send and receive) Morse code.

Package: cw
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor with command line user interface
 The package provides two executables:
  * cw - simple command line application that converts
    keyboard keys to Morse code that can be heard through
    console buzzer or sound card.
  * cwgen - program that generates groups of random
    characters for Morse code practice, that can be
    piped to cw program.
 .
 Package also includes examples files with embedded commands.
 These commands can be used to change speed, tone, spacing
 between characters and much more. The files have 'cw'
 extension.

Package: cwcp
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor, text user interface
 Interactive Morse code tutor with text-based (ncurses) user
 interface. It allows menu selection from a number of sending
 modes, and also permits character sounding options, such as
 the tone pitch, and sending speed, to be varied from the
 keyboard using a full-screen user interface.

Package: xcwcp
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor, X Window user interface
 Interactive Morse code tutor with X Window-based (QT4)
 interface. It lets you choose from a number of options for
 practice, including sending random characters, random words,
 and characters from the keyboard. It will also receive Morse
 code that you send using the keyboard or mouse as a Morse
 keyer, and display the characters it sees.

## unixcw 3.0.1

=== src/xcwcp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License

=== debian/changelog ===
unixcw (3.0.1-3) unstable; urgency=low

  * Fixing problems with building. Closes: #663947.

 -- Kamil Ignacak <acerion@wp.pl>  Thu, 15 March 2012 00:11:14 +0100

unixcw (3.0.1-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #652526
  * [Debconf translation updates]
  * Portuguese (Pedro Ribeiro).  Closes: #654962
  * Slovak (Ivan Masár).  Closes: #655464
  * Dutch; (Jeroen Schot).  Closes: #655718
  * Portuguese (Pedro Ribeiro).  Closes: #655766
  * Russian (Yuri Kozlov).  Closes: #655830
  * German (Chris Leick).  Closes: #656080
  * Czech (Michal Simunek).  Closes: #656240
  * French (Steve R. Petruzzello).  Closes: #656419
  * Indonesian (Mahyuddin Susanto).  Closes: #657462
  * Danish (Joe Hansen).  Closes: #657500
  * Polish (Michał Kułach).  Closes: #657513
  * Swedish (Martin Bagge / brother).  Closes: #657549
  * Spanish; (Jaime Robles).  Closes: #657744
  * Spanish; (Jaime Robles).  Closes: #657744
  * L10N process has been managed by Christian Perrier
    <bubulle@debian.org>

 -- Kamil Ignacak <acerion@wp.pl>  Mon, 30 Jan 2012 20:08:49 +0100

unixcw (3.0.1-1) unstable; urgency=low

  * Prepare unixcw source package for new release: 3.0.1
  * Remove source of lintian warnings:
     - W: cw: maintainer-script-ignores-errors preinst
     - W: cwcp: maintainer-script-ignores-errors preinst
     - W: libcw3-dev: manpage-has-errors-from-man ...
     - W: xcwcp: maintainer-script-ignores-errors preinst

 -- Kamil Ignacak <acerion@wp.pl>  Sun, 08 Jan 2012 13:22:36 +0100

unixcw (3.0-5) unstable; urgency=high

  * Remove dangling symlinks /usr/share/doc/{cw,cwcp,xcwcp}
    (Thanks Bob Proulx). Closes: #653411.
  * Cherry-pick from upstream: {0008,0009}- patches for mawk

 -- Kamal Mostafa <kamal@whence.com>  Mon, 02 Jan 2012 11:33:19 -0800

unixcw (3.0-4) unstable; urgency=high

  * Fix FTBFS in Debian kfreebsd (missing snd_pcm test routines)

 -- Kamal Mostafa <kamal@whence.com>  Sat, 31 Dec 2011 11:56:45 -0800

unixcw (3.0-3) unstable; urgency=high

  * Fix upgrade from unixcw:
    - libcw3{-dev} Replaces and Conflicts unixcw{-dev}. Closes: #653411
  * Cherry-pick from upstream: 0006-Adding-Makefile.inc-to-clean-target.patch

 -- Kamal Mostafa <kamal@whence.com>  Wed, 28 Dec 2011 21:27:48 -0800

=== debian/control ===
Source: unixcw
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>=7), libasound2-dev, libqt4-dev, libncurses5-dev, po-debconf, autotools-dev, mawk|gawk
Homepage: http://unixcw.sourceforge.net/

Package: libcw3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: unixcw
Conflicts: unixcw
Recommends: cw | cwcp | xcwcp
Description: Morse code tutor - shared library
 The unixcw project provides support for learning to use Morse code.
 .
 This package provides shared library files to handle Morse code
 signals and to generate sound on the console buzzer or a sound card
 through OSS or ALSA.

Package: libcw3-dev
Section: libdevel
Architecture: any
Depends: libcw3 (= ${binary:Version}), ${misc:Depends}, libasound2-dev
Replaces: unixcw-dev
Conflicts: unixcw-dev
Description: Morse code tutor - development files
 The unixcw project provides support for learning to use Morse code.
 .
 This package provides the static library, headers, and manual page for
 development of programs that handle (i.e. send and receive) Morse code.

Package: cw
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor - command line user interface
 The unixcw project provides support for learning to use Morse.
 .
 This package provides two executables:
  * cw - a simple command line application that converts key-presses
    to Morse code that can be heard through the console buzzer or a
    sound card;
  * cwgen - a program that generates groups of random characters for
    Morse code practice, which can be piped to the cw program.
 .
 It also includes example files (with the extension "cw") containing
 commands which can be used to change properties such as the speed,
 tone, and spacing of characters.

Package: cwcp
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor - text user interface
 The unixcw project provides support for learning to use Morse code.
 .
 This package provides an interactive Morse code tutor with a
 full-screen text-based (ncurses) user interface. It offers menu
 selection of sending modes, and keyboard control of character
 sounding options such as the sending speed and pitch.

Package: xcwcp
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor - graphical user interface
 The unixcw project provides support for learning to use Morse code.
 .
 This package provides an interactive Morse code tutor with a Qt4
 user interface. It allows choosing from a number of options for
 practice, including sending random characters, random words, and
 characters from the keyboard. It will also receive Morse code sent
 using the keyboard or mouse as a Morse keyer, and display the
 characters it sees.

## unixcw 3.0.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -22,7 +22,7 @@
 SHELL	= /bin/sh
 SUBDIRS	= src
 
-DIST	= unixcw-3.0
+DIST	= unixcw-3.0.1
 
 # Top level makefile - descends into subdirectories and executes the make in
 # these one at a time.
@@ -33,8 +33,12 @@
 	  done
 
 # Targets that do nothing other than descend.
-all install install-strip uninstall clean TAGS info dvi check:
+all install install-strip uninstall TAGS info dvi check:
 	$(DESCEND)
+
+clean:
+	$(DESCEND)
+	rm -f Makefile.inc
 
 # Targets that do just a little more than this.
 distclean mostlyclean:

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License

=== src/cw/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -33,7 +33,7 @@
 cw.o: cw.c ../libcw/libcw.h
 
 cw: cw.o
-	$(CC) -o $@ cw.o ../cwutils/i18n.o ../cwutils/cw_common.o ../cwutils/cmdline.o	\
+	$(CC) $(LDFLAGS) -o $@ cw.o ../cwutils/i18n.o ../cwutils/cw_common.o ../cwutils/cmdline.o	\
 	../cwutils/memory.o $(LIBS) -g -O0
 
 # Install targets.

=== src/cwcp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -20,7 +20,7 @@
 CC	= $(AC_CC)
 CFLAGS	= $(AC_CFLAGS) $(AC_DEFS) -I../libcw -I../cwutils
 GZIP	= $(AC_GZIP)
-LIBS	= $(AC_LIBS) -L../libcw -lcw
+LIBS	= -lcurses -L../libcw -lcw
 
 SHELL	= /bin/sh

=== src/cwgen/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -31,7 +31,7 @@
 cwgen.o: cwgen.c
 
 cwgen: cwgen.o
-	$(CC) -o $@ cwgen.o ../cwutils/i18n.o ../cwutils/cmdline.o \
+	$(CC) $(LDFLAGS) -o $@ cwgen.o ../cwutils/i18n.o ../cwutils/cmdline.o \
 	../cwutils/memory.o
 
 # Install targets.

=== src/cwutils/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License

=== src/libcw/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -34,29 +34,29 @@
 
 default: all
 
-all: libcw.a libcw.so.3.0.0 libcw.so.3 libcw.so libcw.pc libcw.3 libcwtest
+all: libcw.a libcw.so.3.0.1 libcw.so.3 libcw.so libcw.pc libcw.3 libcwtest
 
 # Build the static and shared libraries.
 libcw.a: libcw.o
 	rm -f libcw.a; ar -cr libcw.a libcw.o
 	$(RANLIB) libcw.a
 
-libcw.so.3.0.0: libcw.o
+libcw.so.3.0.1: libcw.o
 	if [ "$(CC_LINKS_SO)" = "yes" ]; then				\
-		$(CC) -shared -Wl,-soname,libcw.so.3			\
-			-o libcw.so.3.0.0 libcw.o $(COMMON_LIBS);	\
+		$(CC) $(LDFLAGS) -shared -Wl,-soname,libcw.so.3		\
+			-o libcw.so.3.0.1 libcw.o $(COMMON_LIBS);	\
 	else								\
 		if [ "$(LD_LINKS_SO)" = "yes" ]; then			\
-			$(LD) -G -Wl,-soname,libcw.so.3			\
-				-o libcw.so.3.0.0 libcw.o $(COMMON_LIBS); \
+			$(LD) $(LDFLAGS) -G -Wl,-soname,libcw.so.3	\
+				-o libcw.so.3.0.1 libcw.o $(COMMON_LIBS); \
 		fi							\
 	fi
 
-libcw.so.3: libcw.so.3.0.0
-	$(LN_S) -f libcw.so.3.0.0 libcw.so.3
+libcw.so.3: libcw.so.3.0.1
+	$(LN_S) -f libcw.so.3.0.1 libcw.so.3
 
-libcw.so: libcw.so.3.0.0
-	$(LN_S) -f libcw.so.3.0.0 libcw.so
+libcw.so: libcw.so.3.0.1
+	$(LN_S) -f libcw.so.3.0.1 libcw.so
 
 # Build the library man page.
 libcw.3: libcw.3.m4 libcw.c
@@ -88,9 +88,9 @@
 	$(INSTALL_DATA) libcw.h $(includedir)/libcw.h
 	$(INSTALL_DATA) libcw.a $(libdir)/libcw.a
 	if [ "$(CC_LINKS_SO)" = "yes" -o "$(LD_LINKS_SO)" = "yes" ]; then \
-		$(INSTALL_PROGRAM) libcw.so.3.0.0 $(libdir)/libcw.so.3.0.0; \
-		$(LN_S) -f libcw.so.3.0.0 $(libdir)/libcw.so.3; \
-		$(LN_S) -f libcw.so.3.0.0 $(libdir)/libcw.so; \
+		$(INSTALL_PROGRAM) libcw.so.3.0.1 $(libdir)/libcw.so.3.0.1; \
+		$(LN_S) -f libcw.so.3.0.1 $(libdir)/libcw.so.3; \
+		$(LN_S) -f libcw.so.3.0.1 $(libdir)/libcw.so; \
 		$(LDCONFIG) -n $(libdir); \
 	fi
 	$(INSTALL_DATA) libcw.3 $(mandir)/man3/libcw.3
@@ -107,7 +107,7 @@
 uninstall:
 	rm -f $(includedir)/libcw.h
 	rm -f $(libdir)/libcw.a
-	rm -f $(libdir)/libcw.so $(libdir)/libcw.so.3 $(libdir)/libcw.so.3.0.0
+	rm -f $(libdir)/libcw.so $(libdir)/libcw.so.3 $(libdir)/libcw.so.3.0.1
 	$(LDCONFIG) -n $(libdir)
 	rm -f $(mandir)/man3/libcw.3 $(mandir)/man3/libcw.3.gz
 	rm -f $(mandir)/man7/cw.7 $(mandir)/man7/cw.7.gz
@@ -116,7 +116,7 @@
 
 # Cleanup targets.
 clean:
-	rm -f libcw.a libcw.so libcw.so.3 libcw.so.3.0.0 *.s libcw.pc *.o
+	rm -f libcw.a libcw.so libcw.so.3 libcw.so.3.0.1 *.s libcw.pc *.o
 	rm -f libcw.3 signatures functions
 	rm -f libcwtest
 	rm -f core core.*

=== debian/changelog ===
unixcw (3.0.2-1) unstable; urgency=low

  * Fixing FTBFS (problems with config.* files). I think that thanks to
    new entry in debian/source/options the fix is permanent. Closes: #676752.
  * Removing 'debian/' from unixcw_3.0.2-1.debian.tar.gz. Upstream version
    bump to avoid problems with upload.

 -- Kamil Ignacak <acerion@wp.pl>  Mon, 18 June 2012 23:03:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>=7), libasound2-dev, libqt4-dev, libncurses5-dev, po-debconf, autotools-dev, mawk|gawk
+Build-Depends: debhelper (>=7), libasound2-dev, libqt4-dev, libncurses5-dev, po-debconf, autotools-dev, mawk|gawk, dpkg-dev (>= 1.16.1~)
 Homepage: http://unixcw.sourceforge.net/
 
 Package: libcw3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# Enable hardening.
# http://wiki.debian.org/Hardening#dpkg-buildflags
DPKG_EXPORT_BUILDFLAGS = yes
include /usr/share/dpkg/default.mk
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)


CFLAGS = -Wall -g -std=gnu99

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
# Add here commands to configure the package.
	QT4DIR="/usr/share/qt4" CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

# Add here commands to compile the arch part of the package.
	$(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:  config.status

# Add here commands to compile the indep part of the package.
#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config.status config.log

# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

# Add here commands to install the arch part of the package into
# debian/tmp.
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	install -d debian/tmp/usr/share/cw
	install -m 0644 src/cw/demo.cw debian/tmp/usr/share/cw
	install -m 0644 src/cw/prelude.cw debian/tmp/usr/share/cw
	install -m 0644 src/cw/test.cw debian/tmp/usr/share/cw
	install -d debian/tmp/usr/share/pixmaps
	install -m 0644 debian/icon_mini_xcwcp.xpm debian/tmp/usr/share/pixmaps
	install -m 0644 debian/icon_xcwcp.xpm debian/tmp/usr/share/pixmaps

	install -d debian/tmp/usr/share/doc/libcw3
	install -d debian/tmp/usr/share/doc/libcw3-dev
	install -d debian/tmp/usr/share/doc/cw
	install -d debian/tmp/usr/share/doc/cwcp
	install -d debian/tmp/usr/share/doc/xcwcp

	dh_install --sourcedir=debian/tmp

	mkdir -p debian/cw/DEBIAN
	po2debconf debian/cw.templates > debian/cw/DEBIAN/templates
	install debian/cw.config debian/cw/DEBIAN/config

	mkdir -p debian/cwcp/DEBIAN
	po2debconf debian/cwcp.templates > debian/cwcp/DEBIAN/templates
	install debian/cwcp.config debian/cwcp/DEBIAN/config

	mkdir -p debian/xcwcp/DEBIAN
	po2debconf debian/xcwcp.templates > debian/xcwcp/DEBIAN/templates
	install debian/xcwcp.config debian/xcwcp/DEBIAN/config

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
